Loading...
Searching...
No Matches
endian.h File Reference

GNU and FreeBSD have various ways to express the endianness but none of them is similar enough. More...

Go to the source code of this file.

## Macros

#define | OSMO_IS_LITTLE_ENDIAN 1
#define | OSMO_IS_BIG_ENDIAN 0

## Detailed Description

GNU and FreeBSD have various ways to express the endianness but none of them is similar enough.

This will create two defines that allows to decide on the endian. The following will be defined to either 0 or 1 at the end of the file.

     OSMO_IS_LITTLE_ENDIAN
     OSMO_IS_BIG_ENDIAN

## Macro Definition Documentation

## OSMO_IS_BIG_ENDIAN

#define OSMO_IS_BIG_ENDIAN 0

## OSMO_IS_LITTLE_ENDIAN

#define OSMO_IS_LITTLE_ENDIAN 1